Using Data Access with Npgsql stable version

2 posts, 0 answers
  1. Vinicius
    Vinicius avatar
    22 posts
    Member since:
    Apr 2007

    Posted 11 Feb Link to this post

    Hi, we are trying to use Data Access (2015.3.1221.1 via Nuget) with PostgreSQL. We were only able to make it work using Npgsql version 2.0.13-beta1, while the latest version is 3.0.5. Is there anything we can do to make it work using a more recent and stable version?
  2. Viktor Zhivkov
    Viktor Zhivkov avatar
    290 posts

    Posted 16 Feb Link to this post

    Hi vmrocha,

    Telerik Data Access will use Npgsql.dll version if it is present on your machine.
    My tests with version 3.0.5 end in exceptions that some types cannot be found and I suspect some breaking changes occuring between 2.* and 3.* versions. The latest version that may work with Telerik Data Access at the moment is 2.2.5-r3, but please run tests before using this driver in production as we are not running any in our test environment using this particular version.

    I am unable to give you any timeline when and if we will be shipping support for Npgsql version 3.0.5 or later at the moment. The migration process on our side may be complicated if we have to support both 2.* and 3.* versions, while if we drop support for 2.* our existing clients may face compatibility issues as well.

    I will keep you up to date with any development for adopting the latest versions of the driver.

    Viktor Zhivkov
    Check out the latest announcement about Telerik Data Access vNext as a powerful framework able to solve core development problems.
  3. DevCraft banner
Back to Top